Package org.firebirdsql.ds

## Class DataSourceFactory

- java.lang.Object
- - org.firebirdsql.ds.DataSourceFactory

- All Implemented Interfaces:
    `javax.naming.spi.ObjectFactory`

      public class DataSourceFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  ObjectFactory for the DataSources in org.firebirdsql.ds.
  Since:
    2.2
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataSourceFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static java.lang.Object` | `deserialize​(byte[] data)` |
    `java.lang.Object` | `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)` |
    `protected static java.lang.String` | `getRefAddr​(javax.naming.Reference ref, java.lang.String type)` | Retrieves the content of the given Reference address (type).
    `protected static byte[]` | `serialize​(java.lang.Object obj)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceFactory

          public DataSourceFactory()

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,​?> environment)
                                             throws java.lang.Exception

      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Throws:
        `java.lang.Exception`

    - #### getRefAddr

          protected static java.lang.String getRefAddr​(javax.naming.Reference ref,
                                                       java.lang.String type)

      Retrieves the content of the given Reference address (type).
      Parameters:
        `ref` - Reference
        `type` - Address or type
      Returns:
        Content as String

    - #### serialize

          protected static byte[] serialize​(java.lang.Object obj)
                                     throws javax.naming.NamingException

      Throws:
        `javax.naming.NamingException`

    - #### deserialize

          protected static java.lang.Object deserialize​(byte[] data)